<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class RemoveIsClaimFromNewsTipsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('news', function (Blueprint $table) {
            $table->dropColumn('is_claimed');
        });
        Schema::table('tips', function (Blueprint $table) {
            $table->dropColumn('is_claimed');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('news', function (Blueprint $table) {
            $table->enum('is_claimed', ['yes', 'no']);
        });
        Schema::table('tips', function (Blueprint $table) {
            $table->enum('is_claimed', ['yes', 'no']);
        });
    }
}
